Debian Bug report logs - #636009
torcs: FTBFS with libpng 1.5

version graph

Package: src:torcs; Maintainer for src:torcs is Rudy Godoy <rudy@stone-head.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Sat, 30 Jul 2011 07:57:09 UTC

Severity: important

Tags: patch

Found in version torcs/1.3.1-5

Fixed in version torcs/1.3.1-6.2

Done: Mònica Ramírez Arceda <monica@probeta.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rudy Godoy <rudy@debian.org>:
Bug#636009; Package src:torcs. (Sat, 30 Jul 2011 07:57:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Rudy Godoy <rudy@debian.org>. (Sat, 30 Jul 2011 07:57:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: torcs: FTBFS with libpng 1.5
Date: Sat, 30 Jul 2011 16:53:44 +0900
[Message part 1 (text/plain, inline)]
Source: torcs
Version: 1.3.1-5
Severity: important
Tags: patch
User: libpng@packages.debian.org
Usertags: libpng15-transition

Hi,

I uploaded libpng 1.5.2 to experimental.
libpng maintainers plan to transition from libpng 1.2 to 1.5.
I am checking build it the package depend to libpng.

I noticed your package FTBFS by libpng 1.5.
I created the patch that revise this problem.
Could you check and apply this patch?

Best regards,
  Nobuhiro

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash


-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[torcs_1.3.1-5.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rudy Godoy <rudy@debian.org>:
Bug#636009; Package src:torcs. (Sun, 04 Dec 2011 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Rudy Godoy <rudy@debian.org>. (Sun, 04 Dec 2011 12:00:15 GMT) Full text and rfc822 format available.

Message #10 received at 636009@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 636009@bugs.debian.org, 646469@bugs.debian.org, control@bugs.debian.org
Subject: torcs: diff for NMU version 1.3.1-6.1
Date: Sun, 4 Dec 2011 12:55:18 +0100
[Message part 1 (text/plain, inline)]
tags 636009 patch
tags 646469 patch
thanks

Dear maintainer,

I've prepared an NMU for torcs (versioned as 1.3.1-6.1) to
fix #636009 and #646469.

Thanks for your work!
[torcs-1.3.1-6.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Mònica Ramírez Arceda <monica@probeta.net>:
You have taken responsibility. (Sun, 04 Dec 2011 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 18:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 636009-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 636009-close@bugs.debian.org
Subject: Bug#636009: fixed in torcs 1.3.1-6.2
Date: Sun, 04 Dec 2011 18:51:23 +0000
Source: torcs
Source-Version: 1.3.1-6.2

We believe that the bug you reported is fixed in the latest version of
torcs, which is due to be installed in the Debian FTP archive:

torcs_1.3.1-6.2.diff.gz
  to main/t/torcs/torcs_1.3.1-6.2.diff.gz
torcs_1.3.1-6.2.dsc
  to main/t/torcs/torcs_1.3.1-6.2.dsc
torcs_1.3.1-6.2_amd64.deb
  to main/t/torcs/torcs_1.3.1-6.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mònica Ramírez Arceda <monica@probeta.net> (supplier of updated torcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Dec 2011 11:34:02 +0100
Source: torcs
Binary: torcs
Architecture: source amd64
Version: 1.3.1-6.2
Distribution: unstable
Urgency: low
Maintainer: Rudy Godoy <rudy@debian.org>
Changed-By: Mònica Ramírez Arceda <monica@probeta.net>
Description: 
 torcs      - 3D racing cars simulator game using OpenGL
Closes: 636009 646469
Changes: 
 torcs (1.3.1-6.2) unstable; urgency=low
 .
   * Non-maintainer upload. (version 1.3.1-6.1 triggered a problem with dak)
   * 06-add-format-argument.patch: add format argument to
     avoid format-security error while building. (Closes: #646469)
   * 07-update-to-libpng15.patch: libpng transition. Thanks to Nobuhiro Iwamatsu!
     (Closes: #636009)
Checksums-Sha1: 
 9f50522cf5d2ff3c88ac1f4ad14008c7da8ffa98 1994 torcs_1.3.1-6.2.dsc
 63bb1bd3ba7d064213a0785846a60fa35785a656 9670 torcs_1.3.1-6.2.diff.gz
 2a638e1982d86cd2b15f915491b4ca3a3514f206 10907446 torcs_1.3.1-6.2_amd64.deb
Checksums-Sha256: 
 3a2c20ddd8d23787d9bd2b2dacf3bf784d8b4f6cfc673e22b7f5c169dd45a15f 1994 torcs_1.3.1-6.2.dsc
 6787d4e3568db4b80c738890b385df8e80b25e9b903fca15d1fc370840d6e815 9670 torcs_1.3.1-6.2.diff.gz
 4bcbe15c7c1c45374f18713852f3e1e514ce5ef67a82f5317e62b5a0ca5d552e 10907446 torcs_1.3.1-6.2_amd64.deb
Files: 
 5a3c8c08bc01ea2271a64c74abfb7e4a 1994 games optional torcs_1.3.1-6.2.dsc
 fd16537e31eb0379f5ba69afe2cab0d8 9670 games optional torcs_1.3.1-6.2.diff.gz
 37afe18080a7b8ddc23a1d4dc4bb455e 10907446 games optional torcs_1.3.1-6.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO27wwAAoJELNGT4lqoVlI3KEP/0QCwQvV8ZzmN7YUq3CTlz2L
DT4lFwd+R49Ux6tKcYICGtuCFjl19lyhd8uDcs5+3k95Pu5na0WqClgT6GFL5Ski
07/2S/kAdCaX/d/b/D2b04THH9PAe/3ovcuJ1ltuAwXkMrHMX9x1dxCe4YANA+Xj
Li4sZ3l3no/EVwWn9oe52ecIiU9NBYkiMtXIgtLMQDzgV4nmbOtAuqYPl0lFIxge
xOU44u51/txJiKjVrX4IPGL75nGvkva1XOFnjVuzdCQR2U4ohoSLBKZAtZeSgh4F
b+D/MDlj7pP/SaqlQb92KX/OFieZQN4FPs5gMWnhdtntvmyGlMLnHG1chSdxQhAB
nvN6RY6yIsWAWk+0v9j80KJyxn602KWEmDwjMkcLc1Ai7u4coyluP/PxJ93188QA
2CT0bdiLsxD79VMCHJQgGBjwIRZWVP3qwMUaCYnxhZvE1wGVT+BIPQOD9WEGqsio
M81HTmv1K5OVZDFel0ux3hkDZSausm79QKGhbejIgOVAXnWOXZExerK/YXRc91Ya
9zJNts4EIlgEi9O1zIFXVFXOA6Ob5vxOO7f/2M5+XD3b2GV/ddVflbcrH8CFA+x8
xuMYglrVra5lSeQy9uJ3+96G/7vkjhXid5Zn2A3H8oZNNBT3qm8fKEh0J8twHphL
Ho61KOYmIFjSHlyd2ahL
=jALG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jan 2012 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:35:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.